Automic Automation Intelligence(AAI/JAWS) Upgrade Tips

book

Article ID: 222335

calendar_today

Updated On:

Products

Automic Automation Intelligence

Issue/Introduction

Automic Automation Intelligence(AAI/ formerly known JAWS) Upgrade Tips.

Please review this document before upgrading AAI. 

Environment

Release : 6.x

Resolution

Before upgrading, review the latest Release Notes for the version you will be upgrading to as well as any versions in between the version you are currently on and the version you are upgrading to, to be aware of any fixes, new features, and database changes that may be required after upgrading.

 

Please also review the AAI Upgrade Guide available here and here.

 

Upgrade workflow:

1. Back up Database


2. Back up AAI Installation Directory


3. Download upgrade file for Windows or Linux from https://support.broadcom.com/enterprise-software/download-center, copy to the AAI server. (If Linux change permissions on the file "chmod 755 upgrade.sh".


4. Stop AAI services.  "jaws.sh stopync" on Linux or shutdown the "Automic Automation Intelligence" service on Windows.

      • On Linux verify jboss is  non longer running. 

ps -eaf | grep jboss

      • Make sure any files within the AAI directory are not open when running the upgrade.


5. Run the upgrade script. ./upgrade.sh(Linux) or upgrade.bat(Windows).


6. A file name like upgradeJawsDbTo6.x.x.sql will be created in the /<Install Dir>/scripts directory.  Have your DBA run this script to update the database schema with the user that connects to AAI.

 

Upgrade Tips:

  • On Linux you will need X11 forwarding in order to run the upgrade script.
    • Ensure the database scripts run after upgrade are run by the user that AAI uses to connect to the database and that user has permissions to those tables or you may see an error like below:

                      ORA-00942: table or view does not exist

  • If upgrading from 5.x or earlier:
    • If you have Oracle databases for AAI or the Autosys Schedulers added to AAI you will need to add the Oracle JDBC driver to the /<Install Dir>/jboss/standalone/configuration/ directory.  See here for instructions.
        • If you don't have the driver in place and your AAI's database is on Oracle you may see a message like below:

          Database found but Automic Automation Intelligence tables do not exist.

    • If you are using a non default password for the AAI admin account, you will need to set the ServicePass Hidden Parameter in the AAI Configuration tool by following these steps.
    • During the upgrade from 5.x it will ask for the tablespace name and indices name, it will default to AAIDATA and AAIINDICES, however if you are on an earlier version you may have used JAWSDATA and JAWSINDICES.  Please verify what the names should be with your DB.  With Oracle you can check the /<Install Dir>/oradata/<db/service name>/ directory to verify the naming convention as well. If you make a mistake with this, please review this KB article.

 

 

  • Insight Reporting Server - Verify in the release notes if your upgrade version also requires an upgrade of Insight.  If so follow the steps here, to upgrade the Insight Reporting Server.
    • **Note** with Insight upgrade, unlike the AAI upgrade, you must not stop the Insight Services (Tomcat and Postgress), and allow the upgrade script to do that.  If you do happen to shutdown the service before upgrade you will likely run into the error in this KB Article.

 

  • You should be able to upgrade to the latest version of AAI from most versions.  If you are on a version earlier then 5.8.6 please contact Broadcom Support before attempting any upgrade.

 

  • Please ensure your database server has enough storage for expansion during upgrade.